# lugins/osg/AutoTransform.cpp File Reference

`#include <osg/AutoTransform>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/AutoTransform.cpp:

## Functions

bool | AutoTransform_readLocalData (Object &obj, Input &fr)
bool | AutoTransform_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_AutoTransformProxy (new osg::AutoTransform,"AutoTransform","Object Node Transform AutoTransform Group",&AutoTransform_readLocalData,&AutoTransform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

bool AutoTransform_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool AutoTransform_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_AutoTransformProxy(new osg::AutoTransform,"AutoTransform","Object Node Transform AutoTransform Group",&AutoTransform_readLocalData,&AutoTransform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)